@echo off
setlocal
set CLASSPATH=%CD%;%CLASSPATH%
set JAVAC=javac

if %1. == . goto continue
if %1. == cleanup. goto cleanup
echo Invalid argument "%1". Pass either nothing or 'clean'.
echo Usage: run [no arguments^|clean]
exit /b 1

:continue
echo ASN.1-compiling the syntax...
echo.
asn1pjav csample -err csample.log
if errorlevel 1 (
	echo Error ASN.1-compiling.
	exit /b 1
)

if exist "%OSS_ASN1_JAVA%\lib\oss.jar" goto next
echo The environment variable OSS_ASN1_JAVA not set.  Exiting...
exit /b 1

:next
cd csample
echo Java-compiling generated classes...
echo.
call csample.bat %JAVAC% -g >>..\csample.log
cd ..

%JAVAC% -g *.java >>csample.log
if not exist Tcsample.class (
	echo Error Java-compiling.
	echo Tcsample.class not found.
	exit /b 1
)

echo Running the test...
echo.

java Tcsample
if exist csample (
	rmdir /s /q csample
	exit /b 0
)

:cleanup
if exist csample 	rmdir /s /q csample
if exist csample.log del csample.log
if exist *.class del *.class
